// JavaScript Document
var nowflag;
var todayflag;
var futureflag;
var objwords;
var swn = "www.msnbc.com";
var arrdetail = new Array();

function getCookie(Name) {
   var search = Name + "=";
   if(document.cookie.length > 0) {
      offset = document.cookie.indexOf(search);
      if(offset != -1) {
         offset += search.length;
         end = document.cookie.indexOf(";", offset);
         if(end == -1) end = document.cookie.length;
         return unescape(document.cookie.substring(offset, end));
      }
      else return('');
   }
   else return('');
}

function setCookie(name,value) {
   var today = new Date();
   var expires = new Date();
   expires.setTime(today.getTime() + 1000*60*60*24*365);
   document.cookie = name + "=" + escape(value) + "; expires=" + expires.toGMTString();
}

var locid = getCookie("WT_loc_id");
var cityname = getCookie("WT_loc_text");
var tempunit = getCookie("WT_T_unit");
var windunit = getCookie("WT_Wind_unit");
var presunit = getCookie("WT_P_unit");
var visbunit = getCookie("WT_Visb_unit");
var lan = getCookie("WT_Lan");

if(locid == '') {
	location.replace("config.htm");
} 


var xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
xmlDoc.async = "false";
if(lan == "1") xmlDoc.load("language/lan_cn.xml"); else xmlDoc.load("language/lan_en.xml");

function translate(WTwords) {
	objwords = xmlDoc.getElementsByTagName(WTwords);
	document.write(objwords.item(0).text);
}

function translateonly(WTwords) {
	objwords = xmlDoc.getElementsByTagName(WTwords);
	if(objwords.length > 0) {
		rewords = objwords.item(0).text;
	} else {
		rewords = WTwords;
	}
	return rewords;
}

if(tempunit == '') { tempunit = 1; }
if(windunit == '') { windunit = 1; }
if(presunit == '') { presunit = 1; }
if(visbunit == '') { visbunit = 1; }

var	urlstr = "http://"+swn+"/m/chnk/d/weather_d_src.asp?acid="+locid;
document.all["objscript"].src = urlstr;	

function transUnit(name, value) {
	switch (name) {
		case "temp":
			returnvalue = Math.round((5/9)*(value-32));
		break;
		case "wind":
			returnvalue = value*1.609334;
		break;
		case "pres":
			returnvalue = value*33.86389;
		break;
		case "visb":
			if(value == 999) {
		         value = "inf. "
                         return value;
		        }
                        else returnvalue = value*1.609334;
		break;
	}	
	return Math.round(returnvalue);	

}

function checkinf(value) {
			if(value == 999) {
		         value = "inf. "
                         return value;
		        }
}


function splitdate(theinput) {
	thesplit=theinput.split(" ");
	thetime=thesplit[1];
	thesplit2=thetime.split(":");
	thehour=thesplit2[0];
	var thezone = getCookie("WT_Configtimezone");
	var daytime = getCookie("WT_Configdst");
	var uppned = getCookie("plusellerminus");
	var thegmtzone = getCookie("tidszonen");
	if(uppned < 11) {
		thezone = 0 - thezone;
	}
	yourhour = ((thehour-0) + (thezone-0) + (daytime-0) + 5);
	if(yourhour < 0) {
		yourhour = yourhour + 24;
	}
	if(yourhour >= 24) {
		yourhour = yourhour - 24;
	}
	if(yourhour <= 9) {
		yourhour = "0" + yourhour;
	}
	theminute=thesplit2[1];
	thesecond=thesplit2[2];
	yourtime = yourhour+":"+theminute+":"+thesecond+" ("+thegmtzone+")";
	return yourtime;
}

function switchstate(item) {
	switch (item) {
		case "titlenow" :
		var nowstate = getCookie("now");
		if(nowstate == 0) {
			setCookie("now",1);
		}
		if(nowstate == 1) {
			setCookie("now",0);
		}
		else {
			setCookie("now",1);
		}
		expclp("titlenow");
		break;
		case "titletoday" :
		var todaystate = getCookie("today");
		if(todaystate == 0) {
			setCookie("today",1);
		}
		if(todaystate == 1) {
			setCookie("today",0);
		}
		else {
			setCookie("today",1);
		}
		expclp("titletoday");
		break;
		case "titlefuture" :
		var futurestate = getCookie("future");
		if(futurestate == 1) {
			setCookie("future",0);
		}
		if(futurestate == 0) {
			setCookie("future",1);
		}
		else {
			setCookie("future",0);
		}
		expclp("titlefuture");
		break;
    }
}

function expclp(item) {
	switch (item) {
		case "titlenow" :
		var nowflag = getCookie("now");
		if(nowflag == 1) {
			document.all["titlenow"].src = "images/expand.gif";
			document.all["contentnow"].style.display = "none";
		} else {
			document.all["titlenow"].src = "images/collapse.gif";
			document.all["contentnow"].style.display = "block";
		}
		break;
		case "titletoday" :
		var todayflag = getCookie("today");
		if(todayflag == 1) {
			document.all["titletoday"].src = "images/expand.gif";
			document.all["contenttoday"].style.display = "none";
		} else {
			document.all["titletoday"].src = "images/collapse.gif";
			document.all["contenttoday"].style.display = "block";
		}
		break;
		case "titlefuture" :
		var futureflag = getCookie("future");
		if(futureflag == 1) {
			document.all["titlefuture"].src = "images/expand.gif";
			document.all["contentfuture"].style.display = "none";
		} else {
			document.all["titlefuture"].src = "images/collapse.gif";
			document.all["contentfuture"].style.display = "block";
		}
		break;
    }
}

function getWeekday(n) {
	var Wday='';
	switch (n) {
		case "1":
			Wday = "WT_Sunday";
		break;
		case "2":
			Wday = "WT_Monday";
		break;
		case "3":
			Wday = "WT_Tuesday";
		break;
		case "4":
			Wday = "WT_Wednesday";
		break;
		case "5":
			Wday = "WT_Thursday";
		break;
		case "6":
			Wday = "WT_Friday";
		break;
		case "7":
			Wday = "WT_Saturday";
		break;		
	}
	return translateonly(Wday);
}

function futurehead (idx) {
	document.write(getWeekday(aFore[idx])+"<br><img src='http://image.weather.com/web/common/wxicons/25/"+aFore[10+idx]+".gif'>");
}


function doupdate () {
var theinterval1 = 0;
theinterval1 = getCookie("WT_Configinterval");
theinterval2 = 1000*60*(theinterval1 - 0);
setTimeout("location.reload(true)",theinterval2);
}

function futurebody (idx) {
	if(tempunit == 1)
	document.write(translateonly("WT_Thighabbre")+": "+transUnit("temp",aFore[20+idx])+"&deg;C</span><br><span class=lowT>"+translateonly("WT_Tlowabbre")+": "+transUnit("temp",aFore[40+idx])+"&deg;C<BR>"+translateonly("WT_Precipabbre")+": "+aFore[15+idx]+"%");
	else
	document.write(translateonly("WT_Thighabbre")+": "+aFore[20+idx]+"&deg;F</span><br><span class=lowT>"+translateonly("WT_Tlowabbre")+": "+aFore[40+idx]+"&deg;F<BR>"+translateonly("WT_Precipabbre")+": "+aFore[15+idx]+"%");
}